Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		mftrace
Summary:        Scalable Fonts for MetaFont
Version:	1.2.9
Release:	2
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.xs4all.nl/~hanwen/mftrace/
Group:		Text Tools
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	autotrace
Requires:	t1utils
BuildRequires:	glibc-devel
BuildRequires:  python

%description
mftrace is a small Python program that lets you trace a TeX bitmap font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF (TrueType) font.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--exec-prefix=%_prefix \
		--datadir=/usr/lib/python2.5/site-packages/ \
		--bindir=%_bindir \
		--libdir=%_libdir \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir
make 

%install
%makeinstall
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
# install python modules to where they belong
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/
mv $RPM_BUILD_ROOT%_datadir/afm.* $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/
mv $RPM_BUILD_ROOT%_datadir/tfm.* $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/

%files
%defattr(-,root,root)
%_bindir
%_datadir
%_libdir/python2.5/site-packages

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-2
- rebuilt against ImageMagick 6.3.9.3
* Tue Jan 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-1
- Version update
* Tue Oct 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Initial Release
